[android-components](../../index.md) / [mozilla.components.browser.engine.gecko](../index.md) / [GeckoEngine](index.md) / [settings](./settings.md)

# settings

`val settings: `[`Settings`](../../mozilla.components.concept.engine/-settings/index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/browser/engine-gecko-beta/src/main/java/mozilla/components/browser/engine/gecko/GeckoEngine.kt#L179)

Overrides [Engine.settings](../../mozilla.components.concept.engine/-engine/settings.md)

See [Engine.settings](../../mozilla.components.concept.engine/-engine/settings.md)

